#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: concurrent-output
version: 1.10.0
id: concurrent-output-1.10.0-298GjYjFOLpEeevku1xcLx
key: concurrent-output-1.10.0-298GjYjFOLpEeevku1xcLx
license: BSD2
copyright: 2015-2017 Joey Hess, 2009 Joachim Breitner
maintainer: Joey Hess <id@joeyh.name>
stability: Stable
synopsis: Ungarble output from several threads or commands
description:
    Lets multiple threads and external processes concurrently output to the
    console, without it getting all garbled up.
    .
    Built on top of that is a way of defining multiple output regions,
    which are automatically laid out on the screen and can be individually
    updated by concurrent threads. Can be used for progress displays etc.
    .
    <<https://joeyh.name/code/concurrent-output/demo2.gif>>
category: User Interfaces
author: Joey Hess, Joachim Breitner
exposed: True
indefinite: False
exposed-modules:
    System.Console.Concurrent System.Console.Concurrent.Internal
    System.Console.Regions System.Process.Concurrent
hidden-modules: Utility.Monad Utility.Data Utility.Exception
abi: 4753b153d2b136b36773f276af889f3c
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/concurrent-output-1.10.0
library-dirs: /usr/lib/ghc-8.2.1/site-local/concurrent-output-1.10.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/concurrent-output-1.10.0
hs-libraries: HSconcurrent-output-1.10.0-298GjYjFOLpEeevku1xcLx
depends:
    base-4.10.0.0 text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz
    async-2.1.1.1-2NW8RVpRWiC9M88FM7mCHc
    stm-2.4.4.1-4JDnVtQYo787gU0ccBstsJ process-1.6.1.0
    directory-1.3.0.2 transformers-0.5.2.0
    exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6
    ansi-terminal-0.6.3.1-BIEgiaci8VQ7yyITu4jhfU
    terminal-size-0.3.2.1-3horyWZYbrD9bXg7iXYoCW unix-2.7.2.2
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             text-1.2.2.2-KYRZgO9N4MoJ4sC5lMiKTz=9217a19661a41b462c62d1a4bdf2e9b1
             async-2.1.1.1-2NW8RVpRWiC9M88FM7mCHc=877e0732f418402f16d143a5b45ef88e
             stm-2.4.4.1-4JDnVtQYo787gU0ccBstsJ=b0109b1e29ac5bcdebe44e0ece53e651
             process-1.6.1.0=d01a8ca2c6610f40dfd0fe25f50afb10
             directory-1.3.0.2=3638cd3d85711234b23f0c0ec04058d3
             transformers-0.5.2.0=2645d250dd615ce454f807270041c5ea
             exceptions-0.8.3-BkxQoXHQAbWGd28nf3VeZ6=98ab8c145be258d01b7a6333e00858ed
             ansi-terminal-0.6.3.1-BIEgiaci8VQ7yyITu4jhfU=7e36eeff4c9b354fba1911369e31a77f
             terminal-size-0.3.2.1-3horyWZYbrD9bXg7iXYoCW=57914696416426047c13422593d7335d
             unix-2.7.2.2=65f42a53c0d1c7bb4ba5966ba6a43504
haddock-interfaces: /usr/share/doc/haskell-concurrent-output/html/concurrent-output.haddock
haddock-html: /usr/share/doc/haskell-concurrent-output/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

